# $Revision: 1.30 $, $Date: 2012/02/12 08:12:37 $
Summary:	PrBoom - a version of classic 3D shoot-em-up game
Summary(pl.UTF-8):	PrBoom - wersja klasycznej strzelaniny 3D
Name:		prboom
Version:	2.5.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/prboom/%{name}-%{version}.tar.gz
# Source0-md5:	a8a15f61fa2626ab98051ab2703378c4
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-libpng.patch
URL:		http://prboom.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
BuildRequires:	SDL_net-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	smpeg-devel
Obsoletes:	lsdldoom
Obsoletes:	lxdoom
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PrBoom is a version of the 3D shoot'em'up Doom, originally by Id
software. It is based on Boom, a version of Doom adapted by TeamTNT
(http://www.teamtnt.com/) for DOS. PrBoom uses the SDL library,
meaning it can run on a variety of different systems, including
Windows, X11, Linux/SVGALib.

Note that some orignal game files are required to use prboom.

%description -l pl.UTF-8
PrBoom jest wersją strzelaniny 3D Doom, napisanej przez Id Software.
Jest bazowana na Boom, wersji Doom zaadaptowanej przez TeamTNT
(http://www.teamtnt.com/) pod DOS. PrBoom używa biblioteki SDL, co
oznacza, że może działać na wielu systemach, w tym Windows, X11,
Linux/SVGALib.

Gra wymaga orygnalnych plików z gry do prawidłowego działania.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* autotools
%{__aclocal} -I autotools
%{__autoconf}
%{__automake}
%configure \
	--disable-cpu-opt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gamesdir=%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO doc/{*.txt,README*}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[56]/*
%{_datadir}/games/doom
%{_pixmapsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prboom.spec,v $
Revision 1.30  2012/02/12 08:12:37  arekm
- release 2

Revision 1.29  2010/08/23 11:43:54  lisu
- builds with libpng 1.4
- add note about required game data files

Revision 1.28  2008/11/24 13:15:59  lisu
- 2.5.0

Revision 1.27  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.25  2006/11/24 13:44:31  glen
- why rel 0.1?

Revision 1.24  2006/11/23 18:43:28  lisu
- up to 2.4.7
- License changed to GPL v2+

Revision 1.23  2006/10/16 18:19:36  qboosh
- BR: OpenGL-GLU-devel

Revision 1.22  2006/10/15 17:57:46  lisu
- up to 2.4.6

Revision 1.21  2004/09/30 11:08:34  kolodko
- up to 2.3.1 from Przemysław Białek <lobo (at) chello.pl>
  added desktop, icon

Revision 1.20  2004/04/05 21:16:08  qboosh
- refresh config.sub for amd64; release 2

Revision 1.19  2003/10/08 21:42:09  qboosh
- updated to 2.3.0
- freedoom WAD moved to separate spec/package - it's optional
- added datadir patch to find prboom.wad in datadir, not only current directory

Revision 1.18  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.16  2003/05/25 06:25:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/06 11:30:21  qboosh
- use http for sources from sourceforge

Revision 1.14  2003/04/10 19:23:19  misi3k
- rel 2
- added freedoom wad - doom2,wad

Revision 1.13  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.12  2002/08/05 21:14:34  kloczek
- updated to 2.2.3: bugfixes.

Revision 1.11  2002/06/30 11:35:33  marcus
- use new %doc, rel.2.

Revision 1.10  2002/05/21 23:14:33  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/11 13:40:48  qboosh
- BuildRequires: autoconf

Revision 1.6  2001/09/10 20:21:57  qboosh
- 2.2.1
- pl translations
- Obsoletes: lxdoom, lsdldoom (prboom is based on lxdoom)

Revision 1.5  2001/05/12 02:58:46  kloczek
- release 4: rebuild against SDL_{mixer,net} 1.2.0.

Revision 1.4  2001/04/03 08:58:33  kloczek
- release 3: rebuild against SDL 1.2.0.

Revision 1.3  2001/03/08 07:17:26  kloczek
- adapterized.

Revision 1.2  2001/03/05 15:36:27  wiget
- recompile with new SDL*; release 2; stb

Revision 1.1  2000/12/31 06:27:10  kloczek
- initial version basen on template from tar ball.
